Summary: A Compact Disc Digital Audio (CDDA) extraction tool.
Name: cdparanoia
Version: alpha9.7
Release: 3
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.xiph.org/paranoia/download/%{name}-III-%{version}.src.tgz
Url: http://www.xiph.org/paranoia/ 
BuildRoot: /var/tmp/%{name}-root
Obsoletes: cdparanoia-III
Packager: Manuel McLure <mmclure@sac.verio.net>

%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia's strength lies in its ability to handle a
variety of hardware, including inexpensive drives prone to
misalignment, frame jitter and loss of streaming during atomic reads.
Cdparanoia is also good at reading and repairing data from damaged
CDs.

%package devel
Summary: Libraries, includes, etc. for cdparanoia
Group: Development/Libraries
Requires: cdparanoia

%description devel
Libraries and includes for cdparanoia

%prep
%setup -q -n %{name}-III-%{version}

%build
rm -rf $RPM_BUILD_ROOT
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make  

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/{bin,man/man1,lib,include/cdparanoia}
install -m755 -s cdparanoia $RPM_BUILD_ROOT/usr/bin/
install -m644 cdparanoia.1 $RPM_BUILD_ROOT/usr/man/man1/ 
install -m644 ./paranoia/cdda_paranoia.h $RPM_BUILD_ROOT/usr/include/cdparanoia
install -m644 ./paranoia/libcdda_paranoia.so.0.9.7 $RPM_BUILD_ROOT/usr/lib
install -m644 ./paranoia/libcdda_paranoia.a $RPM_BUILD_ROOT/usr/lib
install -m644 ./interface/cdda_interface.h $RPM_BUILD_ROOT/usr/include/cdparanoia
install -m644 ./interface/libcdda_interface.so.0.9.7 $RPM_BUILD_ROOT/usr/lib
install -m644 ./interface/libcdda_interface.a $RPM_BUILD_ROOT/usr/lib
install -m644 ./utils.h $RPM_BUILD_ROOT/usr/include/cdparanoia


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
ln -sf libcdda_paranoia.so.0 /usr/lib/libcdda_paranoia.so
ln -sf libcdda_interface.so.0 /usr/lib/libcdda_interface.so

%postun
rm -f /usr/lib/libcdda_paranoia.so /usr/lib/libcdda_interface.so
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc README GPL
/usr/bin/cdparanoia
/usr/man/man1/cdparanoia.1
/usr/lib/libcdda_paranoia.so.0.9.7
/usr/lib/libcdda_interface.so.0.9.7

%files devel
/usr/lib/libcdda_paranoia.a
/usr/lib/libcdda_interface.a
/usr/include/cdparanoia/cdda_paranoia.h
/usr/include/cdparanoia/cdda_interface.h
/usr/include/cdparanoia/utils.h

%changelog
* Sun Mar 05 2000 Manuel McLure <mmclure@sac.verio.net>
- updated to 9.7
- added shared libraries
- added cdparanoia-devel package

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- updated to 9.6, and added to base distribution
- changed name to just cdparanoia, obsoleting old -III suffix

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated package to cdparanoia-III-alpha9.5

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated pacakge

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- built package
